# -*- encoding: utf-8 -*-
# stub: moneta 1.6.0 ruby lib

Gem::Specification.new do |s|
  s.name = "moneta".freeze
  s.version = "1.6.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/moneta-rb/moneta/issues", "changelog_uri" => "https://github.com/moneta-rb/moneta/blob/v1.6.0/CHANGES", "documentation_uri" => "https://www.rubydoc.info/gems/moneta/1.6.0", "source_code_uri" => "https://github.com/moneta-rb/moneta/tree/v1.6.0" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Daniel Mendler".freeze, "Yehuda Katz".freeze, "Hannes Georg".freeze, "Alastair Pharo".freeze]
  s.date = "2024-11-02"
  s.description = "A unified interface to key/value stores".freeze
  s.email = ["mail@daniel-mendler.de".freeze, "wycats@gmail.com".freeze, "hannes.georg@googlemail.com".freeze, "me@asph.dev".freeze]
  s.extra_rdoc_files = ["LICENSE".freeze, "README.md".freeze, "SPEC.md".freeze]
  s.files = ["CHANGES".freeze, "CONTRIBUTORS".freeze, "LICENSE".freeze, "README.md".freeze, "SPEC.md".freeze, "lib/action_dispatch/middleware/session/moneta_store.rb".freeze, "lib/active_support/cache/moneta_store.rb".freeze, "lib/moneta.rb".freeze, "lib/moneta/adapter.rb".freeze, "lib/moneta/adapters/activerecord.rb".freeze, "lib/moneta/adapters/activerecord/backend.rb".freeze, "lib/moneta/adapters/activerecord/v5_backend.rb".freeze, "lib/moneta/adapters/activesupportcache.rb".freeze, "lib/moneta/adapters/cassandra.rb".freeze, "lib/moneta/adapters/client.rb".freeze, "lib/moneta/adapters/cookie.rb".freeze, "lib/moneta/adapters/couch.rb".freeze, "lib/moneta/adapters/datamapper.rb".freeze, "lib/moneta/adapters/daybreak.rb".freeze, "lib/moneta/adapters/dbm.rb".freeze, "lib/moneta/adapters/file.rb".freeze, "lib/moneta/adapters/fog.rb".freeze, "lib/moneta/adapters/gdbm.rb".freeze, "lib/moneta/adapters/hbase.rb".freeze, "lib/moneta/adapters/kyotocabinet.rb".freeze, "lib/moneta/adapters/leveldb.rb".freeze, "lib/moneta/adapters/lmdb.rb".freeze, "lib/moneta/adapters/localmemcache.rb".freeze, "lib/moneta/adapters/lruhash.rb".freeze, "lib/moneta/adapters/memcached.rb".freeze, "lib/moneta/adapters/memcached/dalli.rb".freeze, "lib/moneta/adapters/memcached/native.rb".freeze, "lib/moneta/adapters/memory.rb".freeze, "lib/moneta/adapters/mongo.rb".freeze, "lib/moneta/adapters/null.rb".freeze, "lib/moneta/adapters/pstore.rb".freeze, "lib/moneta/adapters/redis.rb".freeze, "lib/moneta/adapters/restclient.rb".freeze, "lib/moneta/adapters/riak.rb".freeze, "lib/moneta/adapters/sdbm.rb".freeze, "lib/moneta/adapters/sequel.rb".freeze, "lib/moneta/adapters/sequel/mysql.rb".freeze, "lib/moneta/adapters/sequel/postgres.rb".freeze, "lib/moneta/adapters/sequel/postgres_hstore.rb".freeze, "lib/moneta/adapters/sequel/sqlite.rb".freeze, "lib/moneta/adapters/sqlite.rb".freeze, "lib/moneta/adapters/tdb.rb".freeze, "lib/moneta/adapters/tokyocabinet.rb".freeze, "lib/moneta/adapters/tokyotyrant.rb".freeze, "lib/moneta/adapters/yaml.rb".freeze, "lib/moneta/builder.rb".freeze, "lib/moneta/cache.rb".freeze, "lib/moneta/config.rb".freeze, "lib/moneta/create_support.rb".freeze, "lib/moneta/dbm_adapter.rb".freeze, "lib/moneta/defaults.rb".freeze, "lib/moneta/each_key_support.rb".freeze, "lib/moneta/enumerable.rb".freeze, "lib/moneta/expires.rb".freeze, "lib/moneta/expires_support.rb".freeze, "lib/moneta/fallback.rb".freeze, "lib/moneta/hash_adapter.rb".freeze, "lib/moneta/increment_support.rb".freeze, "lib/moneta/lock.rb".freeze, "lib/moneta/logger.rb".freeze, "lib/moneta/nil_values.rb".freeze, "lib/moneta/option_support.rb".freeze, "lib/moneta/optionmerger.rb".freeze, "lib/moneta/pool.rb".freeze, "lib/moneta/proxy.rb".freeze, "lib/moneta/server.rb".freeze, "lib/moneta/shared.rb".freeze, "lib/moneta/stack.rb".freeze, "lib/moneta/synchronize.rb".freeze, "lib/moneta/transformer.rb".freeze, "lib/moneta/transformer/config.rb".freeze, "lib/moneta/transformer/helper.rb".freeze, "lib/moneta/transformer/helper/bson.rb".freeze, "lib/moneta/utils.rb".freeze, "lib/moneta/version.rb".freeze, "lib/moneta/weak.rb".freeze, "lib/moneta/weak_each_key.rb".freeze, "lib/moneta/wrapper.rb".freeze, "lib/rack/cache/moneta.rb".freeze, "lib/rack/moneta_cookies.rb".freeze, "lib/rack/moneta_rest.rb".freeze, "lib/rack/moneta_store.rb".freeze, "lib/rack/session/moneta.rb".freeze]
  s.homepage = "https://github.com/moneta-rb/moneta".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "A unified interface to key/value stores, including Redis, Memcached, TokyoCabinet, ActiveRecord and many more".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<multi_json>.freeze, ["~> 1.15.0"])
  s.add_development_dependency(%q<parallel_tests>.freeze, ["~> 2.29.2"])
  s.add_development_dependency(%q<rantly>.freeze, ["~> 1.2.0"])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
  s.add_development_dependency(%q<rspec-retry>.freeze, ["~> 0.6.1"])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.81.0"])
  s.add_development_dependency(%q<timecop>.freeze, ["~> 0.9.1"])
end
